# boost::numeric::ublas::scalar_binary_swap_functor< T1, T2 > Struct Template Reference

Inherited by boost::numeric::ublas::scalar_swap< T1, T2 >.

List of all members.

## Public Types

typedef type_traits< typename boost::remove_reference< T1 > ::type >::reference | argument1_type
typedef type_traits< typename boost::remove_reference< T2 > ::type >::reference | argument2_type

### template<class T1, class T2>
struct boost::numeric::ublas::scalar_binary_swap_functor< T1, T2 >